# supr-ldap-integration

This is NAISS SUPR LDAP integration, a collection of scripts to synchronize
and update user and project information between SUPR and the Swestore LDAP.

The upstream repository for this repo is:
https://gitlab.liu.se/swestore/supr-ldap-integration

modified_time.txt, its needed to bring the projects and persons from SUPR
from last updated time..i.e. if the last script ended now, modified_time.txt
wil be updated with that timestamp so that next time when the script runs,
it will only fetch projects and persons from that timestamp


The main entry point is supr_swestore_main.py.

# Installation

##  System Dependencies

- python3
- ldap3
- urllib3
- python-kadmin
- openldap
- openldap-dev
- cyrus-sasl
- mit-krb5

## Installing python dependencies

To install python dependencies have to be installed. 

    python3 -m pip install -r requirements.txt

Then you should be ready:

    python3 supr_swestore_main.py

# More information

- https://packaging.python.org/en/latest/guides/installing-using-pip-and-virtual-environments
